# Contrib configuration for TI Davinci based SoC
#
FFMPEGCONF += --arch=armv5te --enable-armv5te --cpu=armv5te

FFMPEGCONF += --disable-protocols

FFMPEGCONF += --disable-filters --enable-filter=scale --enable-filter=crop --enable-filter=format

FFMPEGCONF += --disable-muxers

FFMPEGCONF += --disable-demuxers --enable-demuxer=gif --enable-demuxer=mjpg \
		--enable-demuxer=aac --enable-demuxer=ac3 --enable-demuxer=amr --enable-demuxer=daud --enable-demuxer=dts --enable-demuxer=ogg \
		--enable-demuxer=mp1 --enable-demuxer=mp2 --enable-decoder=libgsm --enable-decoder=libgsm_ms \
		--enable-demuxer=pcm_alaw  --enable-demuxer=pcm_mulaw \
		--enable-demuxer=pcm_s16le --enable-demuxer=pcm_s16be --enable-demuxer=pcm_s24be  \
		--enable-demuxer=pcm_s24le --enable-demuxer=pcm_s32be --enable-demuxer=pcm_s32le --enable-demuxer=pcm_s8 \
		--enable-demuxer=pcm_u16be --enable-demuxer=pcm_u16le --enable-demuxer=pcm_u24be --enable-demuxer=pcm_u24le \
		--enable-demuxer=pcm_u32be --enable-demuxer=pcm-u32le --enable-demuxer=pcm_u8    --enable-demuxer=pcm_zork

FFMPEGCONF += --disable-parsers \
		 --enable-parser=pnm --enable-parser=aac --enable-parser=ac3

FFMPEGCONF += --disable-decoders \
		--enable-decoder=gif --enable-decoder=targa --enable-decoder=tiff --enable-decoder=png --enable-decoder=bmp --enable-decoder=zlib \
		--enable-decoder=aac --enable-decoder=ac3 --enable-decoder=aasc \
		--enable-decoder=pcm_alaw --enable-decoder=pcm_bluray --enable-decoder=pcm_dvd --enable-decoder=pcm_mulaw \
		--enable-decoder=pcm_s16be --enable-decoder=pcm_s16le --enable-decoder=pcm_s16le_planar --enable-decoder=pcm_s24be \
		--enable-decoder=pcm_s24daud --enable-decoder=pcm_s24le --enable-decoder=pcm_s32be --enable-decoder=pcm_s32le \
		--enable-decoder=pcm_s8 --enable-decoder=pcm_u16be --enable-decoder=pcm_u16le --enable-decoder=pcm_u24be --enable-decoder=pcm_u24le \
		--enable-decoder=pcm_u32be --enable-decoder=pcm_u32le --enable-decoder=pcm_u8 --enable-decoder=pcm_zork \
		--enable-decoder=wmapro --enable-decoder=wmav1 --enable-decoder=wmav2 --enable-decoder=mp1 --enable-decoder=mp2

FFMPEGCONF += --disable-encoders \
		--enable-encoder=aac --enable-encoder=ac3 --enable-encoder=pcm_alaw --enable-encoder=pcm_mulaw \
		--enable-encoder=pcm_s16le --enable-encoder=pcm_s16be --enable-encoder=pcm_s24be --enable-encoder=pcm_s24daud \
		--enable-encoder=pcm_s24le --enable-encoder=pcm_s32be --enable-encoder=pcm_s32le --enable-encoder=pcm_s8 \
		--enable-encoder=pcm_u16be --enable-encoder=pcm_u16le --enable-encoder=pcm_u24be --enable-encoder=pcm_u24le \
		--enable-encoder=pcm_u32be --enable-encoder=pcm-u32le --enable-encoder=pcm_u8    --enable-encoder=pcm_zork \
		--enable-encoder=bmp --enable-encoder=gif --enable-encoder=png --enable-encoder=targa --enable-encoder=tiff \
		--enable-encoder=zlib --enable-encoder=mp2

#
all: \
	.a52 .id3tag .mad .ogg \
	.tremor \
	.flac .faad .faac .ffmpeg \
	.live \
	.dvbpsi

# Temporarily disable .theora
